//<script type="text/javascript">
var menuStyle='horizontal';
var marginTop=0;

function kdbUpdateForm(formElement, className, formName, callback) {
  if(typeof(formName)=="undefined") formName = 'kdb_form';
  id = formElement.options[formElement.selectedIndex].value;
  ajaxSendRequest(ajaxLoadData, $('#'+formName), {"action": "updateForm", "id": id, "className": className, "formName": formName}, callback);
}

function kdbUpdateDialog(id, className, formName) {
  if(typeof(formName)=="undefined") formName = 'kdb_form';
  ajaxSendRequest(ajaxLoadData, $('#'+formName), {"action": "updateForm", "id": id, "className": className});
}

function kdbEventSetActive(className, action, id) {
  if(!$("form").valid())
    return;
  selected_id = $("#eventList").val();
  ajaxSendRequest(ajaxSaveData, $('#kdb_form'), "action="+action+"&className="+className+"&id="+id+"&selected_id="+selected_id);
}

function kdbSaveEntry(className, action, formName, callback) {
  if(typeof(formName)=="undefined") formName = 'kdb_form';
  if(!$("#"+formName).valid())
    return;
  if(action=="saveAsNew") $(".id").val("");
  ajaxSendRequest(ajaxSaveData, $('#'+formName), "action="+action+"&className="+className+"&formName="+formName+"&"+$("#"+formName).serialize(), callback);
}

function kdbDeleteEntry(className, formName, confirmationTxt) {
  if(typeof(confirmationTxt)!="undefined" && !confirm(confirmationTxt)) return false;
  if(typeof(formName)=="undefined") formName = 'kdb_form';
  ajaxSendRequest(ajaxDeleteData, $('#'+formName), "action=delete&className="+className+"&"+$("#"+formName).serialize());
}

function kdbChooseEvent(formElement) {
  $("#ajax_message_container").append("<p>"+ajaxLoadData+"</p>");
  $("#ajax_message").slideDown(300);
  id = formElement.options[formElement.selectedIndex].value;
  $.post(CWF_HTTP_Path+ajaxHandlerScript, "action=chooseEvent&id="+id+"&className=Event", function(xml) {
      if($("errorMessage", xml).length>0) {
        $("#error_message p").remove();
        $("#error_message").append("<p>"+$("errorMessage", xml).text()+"</p>");
        $("#error_message").show();
        $("#ajax_message").slideUp(300);
        $("#ajax_message_container p").remove();
      }
      else {
        window.location.href = window.location.href;
      }
    });
}

function kdbSetupMenu() {
  setupMenu(menuStyle, marginTop);
}

$(document).ready(function(){
  marginTop=$('#logo').height()-20;
  kdbSetupMenu();
  setupTooltips();
  
  $("input#enable_waitlist").change(function() {
    if($(this).prop("checked"))
      $("div#confirmation_waitlist").show();
    else
      $("div#confirmation_waitlist").hide();
  });
});

//</script>