<?php
define("THIS_FILE", "registration.php");

require_once("config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("MainRegUI.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

$DB = new DbConnection(DB_HOST, DB_USER, DB_PASSWD, DB_NAME);
CWFTools::startSession("k_db");

$menu = new MainRegUI($DB);

require_once("registration.inc.php");
// $ui-instance is generated in registration.inc.php

if($error=$ui->getErrorMessage())
  $menu->setErrorMessage($error, 0);

if ($menu->writeHeader(THIS_FILE, 
                       ((isset($_SESSION['event']) ? $_SESSION['event']->event_title : ORGANISATION_NAME) . " - " . _("Registration")), 
                       $ui->getHeader())) {
  $ui->getHTML($DB);
}
$menu->writeFooter();
?>
